globalQuality {arrayQuality} | R Documentation

## Quality measures for general hybridization.

### Description

This function provides Quality Control measures for GenePix format files. It is used to create a table of measures to be used as reference in gpQuality.

### Usage

    globalQuality(fnames = NULL, path = ".", organism = c("Mm", "Hs"),
    output = FALSE, resdir = ".", DEBUG = FALSE,...)

### Arguments

`fnames` | A "character" string naming the input files.
`path` | a "character" string representing the data directory. By default this is set to the current working directory (".").
`organism` | A "character" string naming the organism genome printed on the array, either "Mm" or "Hs". By default, organism is set to "Mm". It is used to retrieve the corresponding reference tables.
`output` | Logical. If 'TRUE', the quality measures are printed to a file.
`resdir` | A "character" string representing the directory where the results will be saved. By default, this is set to the current working directory (".").
`DEBUG` | If 'TRUE', debug statements are printed.
`...` | additional arguments

### Value

A matrix of Quality Control measures, each column representing a different input slide.

### Author(s)

Agnes Paquet

### See Also

`gpQuality`, `slideQuality`, `MmReferenceDB`

### Examples

    ##datadir <- system.file("data", package="arrayQuality")
    ##reference <- globalQuality(fnames="9Mm137.gpr", path=datadir, organism="Mm")

[Package Contents]